1

I'm trying to install viber on debian by use this command

#  wget http://download.cdn.viber.com/cdn/desktop/Linux/Viber.zip
# unzip Viber.zip
# cd Viber
# ./Viber.sh

the first time I have this message

 Failed to load module "canberra-gtk-module

after that I install it by

sudo apt-get install libcanberra-gtk-module

the other error is

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

when use update I have the same problem I can not install canberra-gtk-module, how I can solve it?

enter image description here

enter image description here

4
  • Can you see the two image I'm added it .......Gtk-Message: Failed to load module "canberra-gtk-module"
    – rose
    Nov 21, 2017 at 12:18
  • When click on Try Again ,there is no thing happen the same screen show
    – rose
    Nov 21, 2017 at 12:23
  • 1
    sara@sara:~$ ls /usr/lib/x86_64-linux-gnu/gtk-3.0/modules libcanberra-gtk3-module.so libcanberra-gtk-module.so libcaribou-gtk-module.so
    – rose
    Nov 21, 2017 at 13:28
  • I use Debian buster/sid with libcurl4 installed, so libcurl3 cannot be installed. I followed the link that user290392 pointed out and, in order to be able to install, I tried and changed the libcurl3, which is specified in the DEBIAN/control, to libcurl4. It works just fine, till now...
    – vortex7
    Oct 9, 2018 at 21:43

2 Answers 2

2

Is Viber.zip not for Windows?

If you go here you can get a .deb file.

Install it with Gdebi.

There are instructions for moving Viber and creating a symlink in Debian here

2
  • I tried to install Gdebi but it was wrong
    – rose
    Nov 21, 2017 at 9:11
  • Do you want to continue? [Y/n] y dpkg: warning: 'ldconfig' not found in PATH or not executable dpkg: warning: 'start-stop-daemon' not found in PATH or not executable dpkg: error: 2 expected programs not found in PATH or not executable Note: root's PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin E: Sub-process /usr/bin/dpkg returned an error code (2)
    – rose
    Nov 21, 2017 at 9:12
2

You need to change DEBIAN/control. For that you need to download viber.deb, extract the deb, fix DEBIAN/control and make a new deb package. It's described here: https://forums.bunsenlabs.org/viewtopic.php?pid=71634#p71634

Just make sure to use root or fakeroot to preserve file permissions and ownership.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .